<template>
  <div>
    <h1>Municipios de Colombia</h1>
    <v-card>
      <v-card-title>
        <v-text-field
          v-model="search"
          append-icon="mdi-magnify"
          label="Search"
          single-line
          hide-details
        ></v-text-field>
      </v-card-title>
      <v-data-table
        :headers="headers"
        :items="municipios"
        :search="search"
      ></v-data-table>
    </v-card>
  </div>
</template>

<script>
import store from "../store/index.js";

export default {
  data: () => {
    return {
         search: '',
        headers: [
          {
            text: 'Municipio',
            align: 'start',
            filterable: false,
            value: 'municipio',
          },
          { text: 'Código municipio', value: 'c_digo_dane_del_municipio' },
          { text: 'Departamento', value: 'departamento' },
          { text: 'Código departamento', value: 'c_digo_dane_del_departamento' },
          { text: 'Región', value: 'region' },
        ],
    };
  },
  methods: {},
  created: () => {
    //accedemos/llamamos a las acciones del store
    store.dispatch("getMunicipios");
    console.log(store.state.municipios);
  },
  computed: {
    municipios: () => {
      return store.state.municipios;
    },
  },
};
</script>

<style>
h1 {
  text-align: center;
}
</style>